<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Cal_EditPage, nServiceDeploy" title="Untitled Page" %>
<%@ Register TagPrefix="ns3" TagName="dtPicker" Src="~/Calendar/DateTimePickerCtrl.ascx" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell" valign="top">
                <a href="CalPage.aspx" class="pathLink">
                    <asp:Localize id="L1" runat="server" 
                        Text="<%$ Resources:calendar, Calendar %>" />
                </a>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="60%" align="center" border="0" cellspacing="4" cellpadding="0">
        <tr>
            <td colspan="2" class="formTitle">
                <asp:Label ID="formTitleLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="formError">
                <asp:Label ID="errMsgLabel" runat="server"></asp:Label>
                <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                    DisplayMode="SingleParagraph" />
            </td>
        </tr>
        <tr>
            <td class="requiredFieldLabel">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:calendar, Task_Title %>" />:
            </td>
            <td>
                <asp:TextBox ID="subjectText" runat="server" Columns="60"
                    MaxLength="50"></asp:TextBox>            
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" 
                    runat="server" ControlToValidate="subjectText"
                    ErrorMessage="<%$ Resources:calendar, Task_title_is_required %>" 
                    Display="Dynamic" 
                    SetFocusOnError="True">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                <asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:calendar, Service_Request %>" />:
            </td>
            <td>
                <asp:TextBox ID="srIDTxt" runat="server" Columns="20"
                    MaxLength="8"></asp:TextBox>            
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:calendar, Start_Time %>" />:
            </td>
            <td>
                <ns3:dtPicker id="dtPicker1" runat="server" />
            </td>
        </tr>  
        <tr>
            <td>
                <asp:Localize id="Localize6" runat="server" 
                    Text="<%$ Resources:calendar, End_Time %>" />:
            </td>
            <td>
                <ns3:dtPicker id="dtPicker2" runat="server" />
            </td>
        </tr>  
        <tr>
            <td colspan="2">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:calendar, NoteWithMax %>" />:
                <br />
                <asp:TextBox ID="noteText" runat="server" Columns="70" Rows="4" 
                    TextMode="MultiLine"></asp:TextBox>            
            </td>
        </tr>
        <tr>
            <td colspan="2" class="formCommand" align="center">
                <asp:Button ID="saveButton" runat="server" 
                    Text="<%$ Resources:calendar, Save %>" OnClick="saveButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>
