<%@ page language="C#" masterpagefile="~/Call/RecvMasterPage.master" autoeventwireup="true" inherits="Recv_FindUserPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td class="listTitle">
                <asp:Localize id="L1" runat="server" Text="<%$ Resources:call, step1 %>" />
            </td>
        </tr>
        <tr>
            <td class="formError" valign="top">
                <asp:Label ID="errMsgLabel" runat="server"></asp:Label>
                <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                    DisplayMode="SingleParagraph" />
            </td>
        </tr>
    </table>
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td class="listDataNoB" valign="top" colspan="2">
                <table border="0" cellspacing="4" cellpadding="0">
                    <tr>
                        <td>
                            <asp:Localize id="Localize3" runat="server" 
                                Text="<%$ Resources:call, Display_Name %>" />:<br />
                            <input type="text" id="findNameTxt" runat="server" size="18" maxlength="50" />
                        </td>
                        <td>
                            <asp:Localize id="Localize4" runat="server" 
                                Text="<%$ Resources:call, Phone_Number %>" />:<br />
                            <input type="text" id="findPhoneNumTxt" runat="server" size="18" maxlength="50" />
                        </td>
                        <td>
                            <asp:Localize id="Localize5" runat="server" 
                                Text="<%$ Resources:call, Email_Address %>" />:<br />
                            <input type="text" id="findEmailTxt" runat="server" size="18" maxlength="50" />
                        </td>
                        <td valign="bottom">
                            <asp:Button id="findUserButton" runat="server" 
                                Text="<%$ Resources:call, Find_User %>" OnClick="findUserButton_Click" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="listDataNoB" valign="top" colspan="2">
                <asp:GridView ID="usersFoundGrid" runat="server" Width="100%" CellPadding="4" 
                    BorderWidth="0" GridLines="None" PageSize="15"
                    AutoGenerateColumns="False" AutoGenerateSelectButton="True" 
                    AllowPaging="True" OnPageIndexChanging="usersFoundGrid_PageIndexChanging"
                    OnSelectedIndexChanged="usersFoundGrid_SelectedIndexChanged" 
                    DataKeyNames="usr_id" 
                    EmptyDataText="<%$ Resources:call, NoUserFound %>" >
                    <HeaderStyle HorizontalAlign="Left" />
                    <Columns>
                        <asp:HyperLinkField 
                            DataTextField="usr_id" 
                            DataNavigateUrlFields="usr_id" 
                            DataNavigateUrlFormatString="~/User/UserDetailPage.aspx?usrID={0}" 
                            SortExpression="usr_id" Target="_blank" 
                            HeaderText="<%$ Resources:call, User_ID %>">
                            <ItemStyle CssClass="listData" />
                        </asp:HyperLinkField>
                        <asp:BoundField 
                            DataField="usr_display_name" 
                            SortExpression="usr_display_name" 
                            HeaderText="<%$ Resources:call, Display_Name %>">
                            <ItemStyle CssClass="listData" />
                        </asp:BoundField>
                        <asp:BoundField 
                            DataField="usr_phone" 
                            SortExpression="usr_phone" 
                            HeaderText="<%$ Resources:call, Phone_Number %>">
                            <ItemStyle CssClass="listData" />
                        </asp:BoundField>
                        <asp:BoundField 
                            DataField="usr_email" 
                            SortExpression="usr_email" 
                            HeaderText="<%$ Resources:call, Email_Address %>">
                            <ItemStyle CssClass="listData" />
                        </asp:BoundField>
                    </Columns>
                </asp:GridView>
                <asp:HiddenField ID="usrSortDirHidden" runat="server" />
                <asp:HiddenField ID="usrSortExprHidden" runat="server" />
            </td>
        </tr>
        <tr><td class="listData" colspan="2">&nbsp;</td></tr>
        <tr>
            <td class="listDataNoB">
                <asp:Button ID="createUserButton" runat="server" 
                    Text="<%$ Resources:call, Create_User %>" 
                    OnClick="createUserButton_Click" />
            </td>
            <td class="listDataNoB" align="right">
                <asp:Button ID="cancelCallButton" runat="server" 
                    Text="<%$ Resources:call, Cancel_Call %>" 
                    OnClick="cancelCallButton_Click" 
                    CausesValidation="False" TabIndex="9" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table cellSpacing="0" cellPadding="2" width="100%" border="0">
        <tr>
            <td class="listTitle">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:call, Help %>" />
            </td>
        </tr>
        <tr>
            <td class="listDataNoB">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:call, FindOrCreateCallerHint %>" />
            </td>
        </tr>
    </table>
</asp:Content>
