<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="uSr_Page, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink id="hpl1" runat="server"
                    NavigateUrl="uSrPage.aspx" CssClass="pathLink"
                    Text="<%$ Resources:sr, Service_Requests %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr>
            <td class="leftCell">
                <asp:HyperLink id="HyperLink1" runat="server"
                    NavigateUrl="SrAddPage.aspx" CssClass="leftLink"
                    Text="<%$ Resources:sr, Submit_Service_Request %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td class="listTitle">
                <asp:Label ID="rightPaneTitleLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
                <asp:HiddenField ID="sortDirectionHidden" runat="server" />
                <asp:HiddenField ID="sortExpressionHidden" runat="server" />
            </td>
        </tr>
    </table>
    <asp:GridView ID="srGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15"
        AutoGenerateColumns="False"
        AllowPaging="True" OnPageIndexChanging="srGrid_PageIndexChanging"
        AllowSorting="True" OnSorting="srGrid_Sorting" 
        EmptyDataText="<%$ Resources:sr, NoSrFound %>">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="sr_id" 
                DataNavigateUrlFormatString="uSrDetailPage.aspx?srID={0}"
                DataTextField="sr_id" 
                HeaderText="<%$ Resources:sr, SrID %>" 
                SortExpression="sr_id">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="ServiceName" 
                HeaderText="<%$ Resources:sr, Service %>" 
                SortExpression="ServiceName">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="sr_submitted_on" 
                HeaderText="<%$ Resources:sr, Submitted_On %>" 
                SortExpression="sr_submitted_on">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="sr_subject" 
                HeaderText="<%$ Resources:sr, Subject %>" 
                SortExpression="sr_subject">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="StatusName" 
                HeaderText="<%$ Resources:sr, Status %>" 
                SortExpression="StatusName">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
</asp:Content>

