<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Log_ListPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <a href="LogListPage.aspx" class="pathLink">
                    <asp:Localize id="L1" runat="server" Text="<%$ Resources:admin, Event_Log %>" />
                </a>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
	<table cellSpacing="0" cellPadding="4" width="100%" border="0">
		<tr>
		    <td class="leftCell">
		        <asp:HyperLink ID="emptyLogLink" runat="server" CssClass="leftLink" 
		            Text="<%$ Resources:admin, Empty %>"></asp:HyperLink>
		    </td>
		</tr>	
	</table>  
</asp:content> 

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server" >
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr id="errMsgLabelTr" runat="server">
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
    </table>
    <asp:GridView id="logGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowSorting="True" AllowPaging="True"
        OnSorting="logGrid_Sorting" OnPageIndexChanging="logGrid_PageIndexChanging">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="el_id" 
                DataTextField = "el_id" 
                HeaderText ="<%$ Resources:admin, Log_ID %>"  
                DataNavigateUrlFormatString="LogDetailPage.aspx?logID={0}" 
                SortExpression="el_id" >
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField DataField="el_subject"  
                HeaderText="<%$ Resources:admin, Subject %>" SortExpression="el_subject" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="el_created_on" 
                HeaderText="<%$ Resources:admin, Date %>" SortExpression="el_created_on">   
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </ASP:GridView>
    <asp:HiddenField ID="sortDirectionHidden" runat="server" />
    <asp:HiddenField ID="sortExpressionHidden" runat="server" />
</asp:Content> 