<%@ page language="C#" masterpagefile="~/Common/Panel2c.master" autoeventwireup="true" inherits="LogOnPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:Localize id="L1" runat="server" Text="<%$ Resources:common, Log_On %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <br/><br/>
    <table align="center" width="20%" cellspacing="4" cellpadding="0">
        <tr>
            <td colspan="2" class="formTitle">
                <asp:Localize id="L2" runat="server" Text="<%$ Resources:common, Returning_user %>" />
            </td>
        </tr>
        <tr>
            <td colspan="2" class="formError">
                <asp:label id="errMsgLabel2" runat="server"></asp:label>
            </td>
        </tr>
        <tr>
            <td class="requiredFieldLabel" nowrap="nowrap">
                <asp:Localize id="L3" runat="server" Text="<%$ Resources:common, Logon_name %>" />:
            </td>
            <td>
                <input type="text" id="logonUserNameTxt" size="30" maxlength="20" runat="server"
                    style="width: 280px">
            </td>
        </tr>
        <tr>
            <td class="requiredFieldLabel">
                <asp:Localize id="L4" runat="server" Text="<%$ Resources:common, Password %>" />:
            </td>
            <td>
                <input type="password" id="logonPwdTxt" size="30" maxlength="20" runat="server"
                    style="width: 280px">
            </td>
        </tr>
        <tr>
            <td colspan="2" class="formCommand" align="center">
                <asp:Button ID="logOnButton" runat="server" 
                    Text="<%$ Resources:common, Log_On %>" 
                    OnClick="logOnButton_Click" CausesValidation="false" />
            </td>
        </tr>
    </table>
    <br/><br/>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <br/><br/>
    <table id="signUpTable" runat="server"
        width="20%" align="center" border="0" cellspacing="4" cellpadding="0">
        <tr>
            <td class="formTitle" colspan="2">
                <asp:Localize id="L5" runat="server" Text="<%$ Resources:common, New_user %>" />
            </td>
        </tr>
        <tr>
            <td colspan="2" class="formError">
                <asp:label id="errMsgLabel1" runat="server"></asp:label>
                <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                    DisplayMode="SingleParagraph" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="L6" runat="server" Text="<%$ Resources:common, Organization %>" />:
            </td>
            <td>
                <asp:TextBox ID="orgNameTxt" runat="server" Columns="30" MaxLength="50"
                    Width="280px"></asp:TextBox> 
            </td>
        </tr>
        <tr>
            <td class="requiredFieldLabel" valign="top">
                <asp:Localize id="L7" runat="server" Text="<%$ Resources:common, Logon_name %>" />:
            </td>
            <td>
                <asp:TextBox id="logonNameTxt" runat="server" Columns="30" Maxlength="20" 
                    Width="280px" />
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" 
                    runat="server" ControlToValidate="logonNameTxt"
                    ErrorMessage="<%$ Resources:common, Logon_name_required %>" 
                    Display="Dynamic" 
                    SetFocusOnError="True">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="L8" runat="server" Text="<%$ Resources:common, Password %>" />:
            </td>
            <td>
                <input type="password" id="initPwd" runat="server" maxlength="20" 
                    style="width: 280px">
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                <asp:Localize id="L9" runat="server" Text="<%$ Resources:common, Retype_password %>" />:
            </td>
            <td>
                <input type="password" id="initPwd2" runat="server" size="30" maxlength="20"
                    style="width: 280px">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="L10" runat="server" Text="<%$ Resources:common, Display_name %>" />:
            </td>
            <td>
                <input type="text" id="dispNameTxt" runat="server" size="30" maxlength="25"
                    style="width: 280px">
            </td>
        </tr>
        <tr>
            <td valign="top">
                <asp:Localize id="L11" runat="server" Text="<%$ Resources:common, Email_address %>" />:
            </td>
            <td>
                <input type="text" id="emailAddressTxt" runat="server" size="30" maxlength="50"
                    style="width: 280px">
                <asp:RegularExpressionValidator ID="RegularExpressionValidator6" runat="server" 
                    ControlToValidate="emailAddressTxt" Display="dynamic"
                    ErrorMessage="<%$ Resources:common, Email_address_error %>" 
                    ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"
                    SetFocusOnError="True">*</asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="L12" runat="server" Text="<%$ Resources:common, Phone_number %>" />:
            </td>
            <td>
                <input type="text" id="phoneTxt" runat="server" size="30" maxlength="12"
                    style="width: 280px">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="L13" runat="server" Text="<%$ Resources:common, Service_zone %>" />:
            </td>
            <td>
                <asp:DropDownList ID="zoneDdl" runat="server">
                </asp:DropDownList>
            </td>
        </tr>  
        <tr>
            <td colspan="2" class="formCommand" align="center">
                <asp:Button ID="signUpLogOnButton" runat="server" 
                    Text="<%$ Resources:common, Sign_Up_and_Log_On %>" 
                    OnClick="signUpLogOnButton_Click" />
            </td>
        </tr>
    </table>
    <br/><br/>
</asp:Content>

