<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Org_DetailPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <a href="OrgListPage.aspx" class="pathLink">
                    <asp:Localize id="L1" runat="server" 
                        Text="<%$ Resources:org, Organizations %>" />
                </a>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
	<table cellSpacing="0" cellPadding="4" width="100%" border="0">
		<tr id="addUserTr" runat="server">
		    <td class="leftCell" >
		        <asp:HyperLink ID="addUserLink" runat="server" CssClass="leftLink"
		            Text="<%$ Resources:org, Add_User %>"></asp:HyperLink>
		    </td>
		</tr>
		<tr id="addSiteTr" runat="server">
		    <td class="leftCell" >
		        <asp:HyperLink ID="addSiteLink" runat="server" CssClass="leftLink"
		            Text="<%$ Resources:org, Add_Site %>"></asp:HyperLink>
		    </td>
		</tr>
		<tr id="editOrgTr" runat="server">
		    <td class="leftCell" >
		        <asp:HyperLink ID="orgEditLink" runat="server" CssClass="leftLink"
		            Text="<%$ Resources:org, Edit_Organization %>"></asp:HyperLink>
		    </td>
		</tr>
		<tr id="delOrgTr" runat="server">
		    <td class="leftCell" >
		        <asp:HyperLink ID="orgDelLink" runat="server" CssClass="leftLink"
		            Text="<%$ Resources:org, Delete_Organization %>"></asp:HyperLink>
		    </td>
		</tr>
	</table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table width="100%" align ="center" cellSpacing="0" cellPadding="2" border="0">
        <tr>
			<td colspan="4" class="formError">
				<asp:label id="errMsgLabel" runat="server"></asp:label>
			</td>
	    </tr>
        <tr>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:org, Organization_ID %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:org, Name %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:org, Created_On %>" />
            </td>
            <td class="viewLabelNoR" width="25%">
                <asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:org, Updated_On %>" />
            </td>
        </tr>
        <tr>
            <td class="viewData">
                <asp:Label id="idLabel" runat="server"></asp:Label>
            </td>
            <td class="viewData">
                <asp:Label id="nameLabel" runat="server"></asp:Label>
            </td>
            <td class="viewData">
                <asp:Label id="createdOnLabel" runat="server"></asp:Label>
            </td>
            <td class="viewDataNoR">
                <asp:Label id="updatedOnLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="viewLabelNoR" colspan=4>
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:org, Description %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR" colspan=4>
                <asp:Label id="descLabel" runat="server"></asp:Label>
            </td>
        </tr>
    </table>

    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td class="listTitle2">
                <asp:Localize id="Localize6" runat="server" 
                    Text="<%$ Resources:org, Users %>" />
            </td>
        </tr>
    </table>
    <asp:GridView ID="userGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" 
        AllowPaging="True" OnPageIndexChanging="userGrid_PageIndexChanging" 
        AllowSorting="True" OnSorting="userGrid_Sorting" >
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="usr_id"
                DataNavigateUrlFormatString="../User/UserDetailPage.aspx?usrID={0}"
                HeaderText="<%$ Resources:org, User_ID %>" 
                DataTextField="usr_id" 
                SortExpression="usr_id">
                <ItemStyle CssClass="listData" Width="10%" Wrap="false" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="usr_display_name" 
                HeaderText="<%$ Resources:org, Display_Name %>" 
                SortExpression="usr_display_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_email" 
                HeaderText="<%$ Resources:org, Email_Address %>" 
                SortExpression="usr_email">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_phone" 
                HeaderText="<%$ Resources:org, Phone %>" 
                SortExpression="usr_phone">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_mobile" 
                HeaderText="<%$ Resources:org, Other_Phone %>" 
                SortExpression="usr_mobile">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="usrSortDirHidden" runat="server" />
    <asp:HiddenField ID="usrSortExprHidden" runat="server" />

    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td class="listTitle2">
                <asp:Localize id="Localize7" runat="server" 
                    Text="<%$ Resources:org, Sites %>" />
            </td>
        </tr>
    </table>
    <asp:GridView ID="siteGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowPaging="False" AllowSorting="False">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:BoundField DataField="site_id" HeaderText="Site ID">
                <ItemStyle CssClass="listData" Width="10%" />
            </asp:BoundField>
            <asp:BoundField DataField="site_name" 
                HeaderText="<%$ Resources:org, Name %>">
                <ItemStyle CssClass="listData" Wrap="false" Width="20%" />
            </asp:BoundField>
            <asp:BoundField DataField="site_description" 
                HeaderText="<%$ Resources:org, Description %>">
                <ItemStyle CssClass="listData" Width="60%" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" 
                        NavigateUrl='<%# Eval("site_id", "SiteEditPage.aspx?siteID={0}") %>'
                        Text='<%$ Resources:org, Edit %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" Width="5%" />
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink2" runat="server" 
                        NavigateUrl='<%# Eval("site_id", "SiteDelPage.aspx?siteID={0}") %>'
                        Text='<%$ Resources:org, Delete %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" Width="5%" />
            </asp:TemplateField>
        </Columns>
    </asp:GridView>

</asp:Content>


