<%@ page language="C#" masterpagefile="~/Common/Panel2b.master" autoeventwireup="true" inherits="Ou_Page, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <a href="OuPage.aspx" class="pathLink">
                    <asp:Localize id="L1" runat="server" 
                        Text="<%$ Resources:org, UsersAssetsInOU %>" />
                </a>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td valign="top" class="leftCell">
                <asp:TreeView ID="ouTree" runat="server" 
                    OnSelectedNodeChanged="ouTree_SelectedNodeChanged" 
                    OnTreeNodePopulate="ouTree_TreeNodePopulate"
                    ImageSet="Msdn" NodeIndent="16" 
                    EnableClientScript="true"
                    PopulateNodesFromClient="true"  
                    NodeWrap="True">
                    <ParentNodeStyle Font-Bold="False" />
                    <HoverNodeStyle Font-Underline="True" />
                    <SelectedNodeStyle BackColor="WhiteSmoke" 
                        BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                        Font-Underline="False" HorizontalPadding="3px" 
                        VerticalPadding="1px" />
                    <NodeStyle 
                        HorizontalPadding="4px" NodeSpacing="1px" 
                        VerticalPadding="2px" />
                </asp:TreeView>
            </td>
        </tr>
        <tr>
            <td valign="top" class="leftCell">
                <a href="OuSearchPage.aspx" id="searchLink" runat="server" class="leftLink">
                    <asp:Localize id="Localize1" runat="server" 
                        Text="<%$ Resources:org, SearchU_A %>" />
                </a>
            </td>
        </tr>
        <tr>
            <td valign="top" class="leftCellNoB">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:org, SearchU_A_Hint %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="viewTitle">
                <asp:Label ID="catNameLabel" runat="server"></asp:Label>
            </td>
            <td id="cmdTd" runat="server" class="viewTitle" align="right">
                <asp:HyperLink id="editCatLink" runat="server"
                    Text="<%$ Resources:org, Edit %>" />
                | 
                <asp:HyperLink id="moveCatLink" runat="server"
                    Text="<%$ Resources:org, Move %>" />
                <asp:Label ID="barAfterMoveCat" runat="server" Text="|"></asp:Label> 
                <asp:HyperLink id="delCatLink" runat="server"
                    Text="<%$ Resources:org, Delete %>" />
                <asp:Label ID="barAfterDelCat" runat="server" Text="|"></asp:Label> 
                <asp:HyperLink id="addCatLink" runat="server"
                    Text="<%$ Resources:org, Add_Org_Unit %>" />
                |
                <asp:HyperLink id="addUserLink" runat="server"
                    Text="<%$ Resources:org, Add_User %>" />
                | 
                <asp:HyperLink id="addGroupLink" runat="server"
                    Text="<%$ Resources:org, Add_Group %>" />
                | 
                <asp:HyperLink id="addAssetLink" runat="server"
                        Text="<%$ Resources:org, Add_Asset %>" />
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="listData">
                <asp:Label ID="errMsgLabel" runat="server" ForeColor="Red"></asp:Label>
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize10" runat="server" 
                    Text="<%$ Resources:org, Unit_ID %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize11" runat="server" 
                    Text="<%$ Resources:org, Admin_Group %>" />
            </td>
            <td class="viewLabel" width="25%">
                &nbsp;
            </td>
            <td class="viewLabelNoR" width="25%">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td class="viewData">
                <asp:Label ID="catIDLabel" runat="server"></asp:Label>&nbsp;
            </td>
            <td class="viewData">
                <asp:Literal ID="adminGroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
            <td class="viewData">
                &nbsp;
            </td>
            <td class="viewDataNoR">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td class="viewLabelNoR" colspan="4">
                <asp:Localize id="Localize12" runat="server" 
                    Text="<%$ Resources:org, Description %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR" colspan="4">
                <asp:Label ID="catDescLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
    </table>
    <table id="userHeader" runat="server" cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td class="listTitle2">
                <asp:Localize id="Localize13" runat="server" 
                    Text="<%$ Resources:org, Users %>" />:
            </td>
        </tr>
    </table>
    <asp:GridView ID="userGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" 
        AllowPaging="True" OnPageIndexChanging="userGrid_PageIndexChanging" 
        AllowSorting="True" OnSorting="userGrid_Sorting" >
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="usr_id"
                DataNavigateUrlFormatString="../User/UserDetailPage.aspx?usrID={0}"
                HeaderText="<%$ Resources:org, User_ID %>" 
                DataTextField="usr_id" 
                SortExpression="usr_id">
                <ItemStyle CssClass="listData" Width="10%" wrap="false" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="usr_display_name" 
                HeaderText="<%$ Resources:org, Display_Name %>" 
                SortExpression="usr_display_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_email" 
                HeaderText="<%$ Resources:org, Email_Address %>" 
                SortExpression="usr_email">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_phone" 
                HeaderText="<%$ Resources:org, Phone_Number %>" 
                SortExpression="usr_phone">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="usrSortDirHidden" runat="server" />
    <asp:HiddenField ID="usrSortExprHidden" runat="server" />

    <table id="groupHeader" runat="server" cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td class="listTitle2">
                <asp:Localize id="Localize14" runat="server" 
                    Text="<%$ Resources:org, Groups %>" />:
            </td>
        </tr>
    </table>
    <asp:GridView ID="groupGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowPaging="True" AllowSorting="True" 
        OnPageIndexChanging="groupGrid_PageIndexChanging" 
        OnSorting="groupGrid_Sorting">
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="grp_id"
                DataNavigateUrlFormatString="../User/GroupDetailPage.aspx?grpID={0}"
                HeaderText="<%$ Resources:org, Group_ID %>" 
                DataTextField="grp_id" SortExpression="grp_id">
                <ItemStyle CssClass="listData" Width="10%" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="grp_name" 
                HeaderText="<%$ Resources:org, Name %>" 
                SortExpression="grp_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="grp_description" 
                HeaderText="<%$ Resources:org, Description %>" 
                SortExpression="grp_description">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
        <HeaderStyle HorizontalAlign="Left" />
    </asp:GridView>
    <asp:HiddenField ID="grpSortDirHidden" runat="server" />
    <asp:HiddenField ID="grpSortExprHidden" runat="server" />

    <table id="assetHeader" runat="server" cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td class="listTitle2">
                <asp:Localize id="Localize15" runat="server" 
                    Text="<%$ Resources:org, Assets %>" />:
            </td>
        </tr>
    </table>
    <asp:GridView ID="assetGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowPaging="True" AllowSorting="True" 
        OnPageIndexChanging="assetGrid_PageIndexChanging" 
        OnSorting="assetGrid_Sorting">
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="as_id"
                DataNavigateUrlFormatString="../Asset/AssetDetailPage.aspx?asID={0}"
                HeaderText="<%$ Resources:org, Asset_ID %>" 
                DataTextField="as_id" SortExpression="as_id">
                <ItemStyle CssClass="listData" Width="10%" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="pd_name" 
                HeaderText="<%$ Resources:org, Product %>" 
                SortExpression="pd_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="as_name" 
                HeaderText="<%$ Resources:org, Name %>" 
                SortExpression="as_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="as_serial_num" 
                HeaderText="<%$ Resources:org, Serial_Number %>" 
                SortExpression="as_serial_num">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_display_name" 
                HeaderText="<%$ Resources:org, User %>" 
                SortExpression="usr_display_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="StatusName" 
                HeaderText="<%$ Resources:org, Status %>" 
                SortExpression="StatusName">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
        <HeaderStyle HorizontalAlign="Left" />
    </asp:GridView>
    <asp:HiddenField ID="assetSortDirHidden" runat="server" />
    <asp:HiddenField ID="assetSortExprHidden" runat="server" />
</asp:Content>
