<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Ou_SearchPage, nServiceDeploy" title="Untitled Page" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <a href="OuSearchPage.aspx" class="pathLink">
                    <asp:Localize id="L1" runat="server" 
                        Text="<%$ Resources:org, All_Users_and_Assets %>" />
                </a>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td valign="top" class="leftCell">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:org, Search %>" />: <br />
                <asp:DropDownList ID="targetList" runat="server">
                    <asp:ListItem Text="Users" Value="1"></asp:ListItem>
                    <asp:ListItem Text="Groups" Value="2"></asp:ListItem>
                    <asp:ListItem Text="Assets" Value="3"></asp:ListItem>
                </asp:DropDownList><br />
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:org, Keywords %>" />: <br />
                <asp:TextBox ID="KeywordText" runat="server" Columns="18" MaxLength="20" /><br />
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:org, Max_Record %>" />: <br />
                <asp:TextBox ID="maxRecTxt" runat="server" Columns="18" MaxLength="4" /><br />
                <asp:Button ID="SearchButton" runat="server" 
                    Text="<%$ Resources:org, Go %>" 
                    OnClick="SearchButton_Click" />
            </td>
		</tr>	
		<tr>
		    <td class="leftCell">
		        <asp:HyperLink ID="addUserLink" runat="server" CssClass="leftLink" 
		            NavigateUrl="~/User/UserAddPage.aspx" 
		            Text="<%$ Resources:org, Add_User %>"></asp:HyperLink>
		    </td>
        </tr>
		<tr>
		    <td class="leftCell">
		        <asp:HyperLink ID="addGroupLink" runat="server" CssClass="leftLink" 
		            NavigateUrl="~/User/GroupEditPage.aspx" 
		            Text="<%$ Resources:org, Add_Group %>"></asp:HyperLink>
		    </td>
        </tr>
		<tr>
		    <td class="leftCell">
		        <asp:HyperLink ID="addAssetLink" runat="server" CssClass="leftLink" 
		            NavigateUrl="~/Asset/AssetEditPage.aspx" 
		            Text="<%$ Resources:org, Add_Asset %>"></asp:HyperLink>
		    </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="formError" valign="top">
                <asp:Label ID="errMsgLabel" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
    <asp:GridView ID="userGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowSorting="True" AllowPaging= "True"
        OnSorting="userGrid_Sorting" OnPageIndexChanging="userGrid_PageIndexChanging"
        EmptyDataText="<%$ Resources:org, No_record_found %>">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="usr_id"
                DataNavigateUrlFormatString="../User/UserDetailPage.aspx?usrID={0}"
                HeaderText="<%$ Resources:org, User_ID %>" 
                DataTextField="usr_id" SortExpression="usr_id">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="usr_display_name" 
                HeaderText="<%$ Resources:org, Display_Name %>" 
                SortExpression="usr_display_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_email" 
                HeaderText="<%$ Resources:org, Email_Address %>" 
                SortExpression="usr_email">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_phone" 
                HeaderText="<%$ Resources:org, Phone_Number %>" 
                SortExpression="usr_phone">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="usrSortDirHidden" runat="server" />
    <asp:HiddenField ID="usrSortExprHidden" runat="server" />

    <asp:GridView ID="groupGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowPaging="True" AllowSorting="True" 
        OnPageIndexChanging="groupGrid_PageIndexChanging" 
        OnSorting="groupGrid_Sorting"
        EmptyDataText="<%$ Resources:org, No_record_found %>">
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="grp_id"
                DataNavigateUrlFormatString="../User/GroupDetailPage.aspx?grpID={0}"
                HeaderText="<%$ Resources:org, Group_ID %>" 
                DataTextField="grp_id" SortExpression="grp_id">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="grp_name" 
                HeaderText="<%$ Resources:org, Name %>" 
                SortExpression="grp_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="grp_description" 
                HeaderText="<%$ Resources:org, Description %>" 
                SortExpression="grp_description">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
        <HeaderStyle HorizontalAlign="Left" />
    </asp:GridView>
    <asp:HiddenField ID="grpSortDirHidden" runat="server" />
    <asp:HiddenField ID="grpSortExprHidden" runat="server" />

    <asp:GridView ID="assetGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowPaging="True" AllowSorting="True" 
        OnPageIndexChanging="assetGrid_PageIndexChanging" 
        OnSorting="assetGrid_Sorting"
        EmptyDataText="<%$ Resources:org, No_record_found %>">
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="as_id"
                DataNavigateUrlFormatString="../Asset/AssetDetailPage.aspx?asID={0}"
                HeaderText="<%$ Resources:org, Asset_ID %>" 
                DataTextField="as_id" SortExpression="as_id">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="pd_name" 
                HeaderText="<%$ Resources:org, Product %>" 
                SortExpression="pd_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="as_serial_num" 
                HeaderText="<%$ Resources:org, Serial_Number %>" 
                SortExpression="as_serial_num">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="as_description" 
                HeaderText="<%$ Resources:org, Description %>" 
                SortExpression="as_description">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
        <HeaderStyle HorizontalAlign="Left" />
    </asp:GridView>
    <asp:HiddenField ID="assetSortDirHidden" runat="server" />
    <asp:HiddenField ID="assetSortExprHidden" runat="server" />

</asp:Content>

