<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Service_SearchPage, nServiceDeploy" title="Untitled Page" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink id="hpl1" runat="server"
                    NavigateUrl="ServicePage.aspx" CssClass="pathLink"
                    Text="<%$ Resources:service, Services %>" />
            </td>
            <td class="pathCell" align="right">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:service, Search %>" />
                 
                <asp:DropDownList ID="targetList" runat="server">
                    <asp:ListItem Text="<%$ Resources:service, Articles %>" Value="1"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:service, Services %>" Value="2"></asp:ListItem>
                </asp:DropDownList>

                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:service, SearchFor %>" />
                
                <asp:TextBox ID="KeywordText" runat="server" Columns="18" />
                <asp:Button ID="SearchButton" runat="server" 
                    Text="<%$ Resources:service, Go %>" 
                    OnClick="SearchButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td></td>
            <td class="formError" valign="top">
                <asp:Label ID="errMsgLabel" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
    <asp:GridView ID="articleGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowSorting="True" AllowPaging= "True"
        OnSorting="articleGrid_Sorting" OnPageIndexChanging="articleGrid_PageIndexChanging"
        EmptyDataText="<%$ Resources:service, No_record_found %>">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="art_id" 
                DataNavigateUrlFormatString="../Article/ArtDetailPage.aspx?artID={0}"
                DataTextField="art_id" 
                HeaderText="<%$ Resources:service, Article_ID %>" 
                SortExpression="art_id">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="art_title" 
                HeaderText="<%$ Resources:service, Title %>" 
                SortExpression="art_title">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_views" 
                HeaderText="<%$ Resources:service, Views %>" 
                SortExpression="art_views">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_up_votes" 
                HeaderText="<%$ Resources:service, Up_Votes %>" 
                SortExpression="art_up_votes">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_total_votes" 
                HeaderText="<%$ Resources:service, Total_Votes %>" 
                SortExpression="art_total_votes">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="artSortDirHidden" runat="server" />
    <asp:HiddenField ID="artSortExprHidden" runat="server" />

    <asp:GridView ID="serviceGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" 
        AllowSorting="True" OnSorting="serviceGrid_Sorting"
        AllowPaging= "True" OnPageIndexChanging="serviceGrid_PageIndexChanging"
        EmptyDataText="<%$ Resources:service, No_record_found %>">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:TemplateField HeaderText="ID" SortExpression="srv_id">
                <ItemTemplate>
                    <a href= "ServicePage.aspx?srvID=<%# DataBinder.Eval(Container.DataItem, "srv_id") %>">
					    <%# DataBinder.Eval(Container.DataItem, "srv_id")%>
				    </a>
                </ItemTemplate>
                <ItemStyle CssClass="listData" />
            </asp:TemplateField>
            <asp:BoundField 
                DataField="srv_name" 
                HeaderText="<%$ Resources:service, ServiceName %>" 
                SortExpression="srv_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="srv_status" 
                HeaderText="<%$ Resources:service, ServiceStatus %>" 
                SortExpression="srv_status">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="srv_description" 
                HeaderText="<%$ Resources:service, Description %>" 
                SortExpression="srv_description">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="serviceSortDirHidden" runat="server" />
    <asp:HiddenField ID="serviceSortExprHidden" runat="server" />
</asp:Content>